Subject: [203] /etc/ftponly shell for guestgroup account?

From: [email-masked] (Patrick Salsbury)
Date: Wed, 27 Jul 1994 07:39:52 -0700 (PDT)

Hi, all!
	I just finished configuring and installing wu-ftpd last night, and so
far it looks to be _quite_ impressive. I have a question, though...

	In the man page for ftpaccess, under the guestgroup heading, it gives
the following:

          Example:

          in /etc/passwd, the real entry:

          guest1:<passwd>:100:92:Guest Account:/ftp/./incoming:/etc/ftponly

	My question is, what is this 'ftponly' shell, and how should I go
about obtaining/specifying it? Does it merely need to be listed in /etc/group
and the server takes care of the rest, or is there something else I'm missing?

	I have a guest account that I want to be able to access certain files
that are off-limits to standard 'anonymous' users, but I don't want them to be
able to go for a wander through the system. 
	Wu-ftpd takes care of the chroot permissions so they can't cd outside
of /ftp, but what's to stop them from just doing a telnet to the host and
logging in with the account password to get a csh? I assume that's what the
/etc/ftponly is supposed to do, but when I tried that it just denied the
account access whatsoever. 

	Any ideas? 

	Also, for this special account, I've created a directory that's owned
by it and is of the same group name as listed in the (real)/etc/group file.
Neither the passwd nor group entries are currently in the /ftp/etc/[passwd |
group] files, so the directory listings come up like this from an FTP session:

dr-xr-sr-x  3 root     0             512 Jul 22 22:18 bin
dr-xr-sr-x  2 root     0             512 Sep 30  1993 dev
dr-xr-sr-x  2 root     0             512 Sep 30  1993 etc
dr-xr-s---  2 5002     130           512 Jul 27 02:43 eval
dr-xr-sr-x 12 ftp      misc          512 Jul 11 19:25 pub
d-----S---  2 root     0             512 Apr  7 19:14 test
dr-xr-sr-x  3 root     0             512 Sep 30  1993 usr

	Now, since the files are listed in the (real)/etc/[passwd | group]
files, looking at them from an internal account shows the actual account and
group names. 

	Does this matter, other that aesthetically? Should I add them to the
/ftp/etc/[passwd | group] files? Or should I _NOT_ add them? 
	Any help would be appreciated. I'm still awash in all these options!
:)

	Thanks in advance!

Pat
-------------------------------------------------------------------------------
	  Patrick Salsbury 				VisionWare
Technical Support/System Administration        4500 Bohannon Dr., Suite #280
	Voice: 415/325-2113		   	   Menlo Park, CA 94025
	 FAX: 415/325-8710		     X/UNIX/PC Integration Specialists

---

From: [email-masked]
Date: Wed, 27 Jul 1994 11:52:32 +0000

> account access whatsoever.

My solution was to set their login shell to /bin/false and add /bin/false to
/etc/shells.

> /ftp/etc/[passwd | group] files? Or should I _NOT_ add them?

You can add them as long as /etc/passwd doesn't include the passwords (ie: 
the password information is kept in the shadow password file).

You would copy it mostly for aesthetic reasons.

Evan

---

From: [email-masked] (Patrick Salsbury)
Date: Wed, 27 Jul 1994 10:09:47 -0700 (PDT)

-My solution was to set their login shell to /bin/false and add /bin/false to
-/etc/shells.
	That did the trick! Thanks! :)

-> 	Also, for this special account, I've created a directory that's owned
-> by it and is of the same group name as listed in the (real)/etc/group file.
-> Neither the passwd nor group entries are currently in the /ftp/etc/[passwd |
-> group] files, so the directory listings come up like this from an FTP session:
->
-> dr-xr-sr-x  3 root     0             512 Jul 22 22:18 bin
-> dr-xr-sr-x  2 root     0             512 Sep 30  1993 dev
-> dr-xr-sr-x  2 root     0             512 Sep 30  1993 etc
-> dr-xr-s---  2 5002     130           512 Jul 27 02:43 eval
-> dr-xr-sr-x 12 ftp      misc          512 Jul 11 19:25 pub
-> d-----S---  2 root     0             512 Apr  7 19:14 test
-> dr-xr-sr-x  3 root     0             512 Sep 30  1993 usr
->
-> 	Now, since the files are listed in the (real)/etc/[passwd | group]
-> files, looking at them from an internal account shows the actual account and
-> group names.
->
-> 	Does this matter, other that aesthetically? Should I add them to the
-> /ftp/etc/[passwd | group] files? Or should I _NOT_ add them?
-
-You can add them as long as /etc/passwd doesn't include the passwords (ie: 
-the password information is kept in the shadow password file).
-
-You would copy it mostly for aesthetic reasons.
-
-Evan
	Done, and it looks _much_ more aesthetically pleasing, now. :)

	Thanks again!

Pat